use thiserror::Error;

#[derive(Error, Debug)]
pub enum Error {
    #[error("Renice error: {0}")]
    ReniceError(std::io::Error),

    #[error("FFmpeg error: {0}")]
    FFmpegError(std::io::Error),

    #[error("Job error: {0}")]
    JobError(std::io::Error),
}